{
  Voice Modem Library v1.0

  This file contain definition of IS-101 modems hardware driver
  messages

  Copyright (C) 1998-2001 Roman M. Mochalov
  E-mail: roman@sar.nnov.ru
}

{$IFDEF VER90}

const

{$ELSE}

resourcestring

{$ENDIF}

  SInitModem = '%s: Initializing voice modem';
  SFlowControlError = 'Can''t turn on hardware flow control';
  SResultCodesError = 'Can''t set extended verbal result messages';
  SInitCmdFailed = 'Additional initialization command failed';

  SInitVoice = '%s: Initializing voice params';
  SBaudRateError = 'Can''t select required DTE/modem baud rate';
  SSilenceDetectionError = 'Setting silence detection didn''t work';
  SSilenceDeletionError = 'Setting silence deletion didn''t work';
  SRingbackTimersError = 'Can''t set ringback timeouts';
  SDTMFDetectionError = 'Setting DTMF detection didn''t work';
  SInitVoiceCmdFailed = 'Additional voice initialization command failed';

  STransmitGainError = 'Setting transmit gain didn''t work';
  SReceiveGainError = 'Setting receive gain didn''t work';

  SCallerIDError = 'Setting caller identification didn''t work';
  SDistinctiveRingError = 'Can''t initialize distinctive ringing reporting';

  SRestoreVoiceCmdFailed = 'Additional restoring voice command failed';

  SDialSetupError = 'Dialing setup command failed';

  SInvalidDTMFCommandFormat = 'Invalid DTMF command format params';

  SInactivityTimerOnError = 'Can''t set inactivity timer';
  SInactivityTimerOffError = 'Can''t reset inactivity timer';

  SShieldedDLEReceived = 'Shielded <DLE> received';
  SShieldedDLEDLEReceived = 'Shielded <DLE><DLE> received';
  SDLEETXReceived = '<DLE><ETX> received';
  SStartDTMFShielding = 'Start of DTMF shielding received';
  SEndDTMFShielding = 'End of DTMF shielding received';
  SInvalidVoiceFormat = 'Invalid voice format detected';
  SXONReceived = 'XON received';
  SXOFFReceived = 'XOFF received';
  SBufferOverrun = 'Buffer overrun';
  SBufferUnderrun = 'Buffer underrun';
  SLostData = 'Lost data detected event';
  STimingMark = 'Timing mark received';

  SStartPlaying = '<START PLAYING>';
  SInterruptPlaying = '<INTERRUPT PLAYING>';
  SStopPlaying = '<STOP PLAYING>';

  SStartRecording = '<START RECORDING>';
  SStopRecording = '<STOP RECORDING>';

  SVoiceData = '<VOICE DATA %d bytes>';
  SDLEETX = '<DLE><ETX>';

  SDataWriteError = 'Could not write voice data buffer (Error %d)';

  SWaitAnswer = 'Wait: %s';

  SIllegalSampleRate = '%s: Illegal sample rate (%d)';
  SIllegalCompressionMethod = '%s: Illegal voice compression method (%d)';
  SIllegalWaveFormat = '%s: Illegal WAVE Format (%0.4x)';

  SUnknownDevice = '%s: Unknown device (%d)';

