{
  Voice Modem Library v1.0

  This file contain definition of TVoiceModem messages

  Copyright (C) 1998-2001 Roman M. Mochalov
  E-mail: roman@sar.nnov.ru
}

{$IFDEF VER90}

const

{$ELSE}

resourcestring

{$ENDIF}
                                                      
  SNoDriverError = '%s: No driver specified, unable to complete operation';
  SDriverIniFileError = '%s: Can''t load driver ini file, unable to complete operation';
  SDriverNotRegistered = '%s: No driver class registered for specified modem name, unable to complete operation';

  SNoModemError = '%s: No modem specified, unable to complete operation';
  SNoPortError = '%s: No port specified, unable to complete operation';

  SNoProfileError = '%s: No profile specified, unable to complete operation';

  SPortError = 'Port error detected (%d)';

  SOpeningPort = 'Opening serial port COM%d';
  SOpenPortError = 'Can''t open serial port';
  SPortOpened = 'Port successfully opened';
  SPortAlreadyOpen = 'Port COM%d already opened';

  SClosingPort = 'Closing port';
  SClosingPortError = 'Can''t close port';
  SNoOpenedPort = 'No port opened';

  SInvalidCommandFormat = 'Invalid command format params';
  SInvalidStrFormat = 'Invalid string format params';

  SLocalEchoError = 'Can''t set local echo';
  SResultCodesError = 'Can''t set verbal result messages';
  SAdditionalCmdFailed = 'Additional initialization command failed';

  SLeavingVoiceMode = 'Leaving voice mode';
  SEnteringVoiceMode = 'Entering voice mode';
  SRestoringVoiceMode = 'Restoring voice mode';
  SAnsweringCall = 'Answering Call';
  SCheckingBeep = 'Checking Beep';
  SPlayingDTMF = 'Playing DTMF';
  SSettingCompression = 'Setting compression';
  SSettingDevice = 'Setting device';
  SSettingWaveFormat = 'Setting WAVE Format';
  SSwitchingToDataFax = 'Switching to data/fax';
  SWaiting = 'Waiting %d msec';
  SWaitingAnswer = 'Waiting answer ''%s'' %d msec';
  SEnablingCallerID = 'Setting Caller ID reporting';
  SEnablingDRing = 'Setting distinctive ringing reporting';
  SSettingReceiveGain = 'Setting transmit gain';
  SSettingTransmitGain = 'Setting receive gain';

  SRecvAction = 'Recv';
  SSendAction = 'Send';

  SFlushString = 'Flush: %s';

  SBufferReadError = 'Could not read buffer from modem';
  SBufferReadTimeout = 'Timeout while reading data from modem';

  SReadString = 'Read: %s';

  SBufferWriteError = 'Could not write buffer to modem';
  SBufferWriteTimeout = 'Timeout while writing buffer to modem';

  SWriteString = 'Write: %s';

  SCommand = 'Command: ''%s'' -> ''%s''';
  SNoEchoError = 'Modem did not echo the command';
  SUnexpectedEchoError = 'Unexpected command echo';
  SInvalidAnswer = 'Invalid modem answer';
  SErrorReturned = 'Modem returned ERROR';

  SScript = 'Script: ''%s'' -> ''%s''';
  SScriptError = 'Script command %d failed';

  SHeaderReadError = 'Could not read voice file header (Error %d)';
  SHeaderWriteError = 'Could not write voice file header (Error %d)';

  SNotRMDFile = 'Given file is not a RMD file';
  SWrongModemType = 'Wrong modem type found (%s)';

  SCompression = 'Compression method %d, speed %d';
  SCompressionError = 'Could not set compression method %d, speed %d';

  SWaveFormat = 'Wave format $%0.4x speed %d';
  SWaveFormatError = 'Could not set WAVE Format $%0.4x, speed %d';

  SWrongWaveFormat = 'Wrong WAVE format found ($0.4x)';
  SUnsupportedWaveFormat = 'Unsupported WAVE format ($0.4x)';

  SWaveHeaderReadError = 'Could not read WAVE file header (Error %d)';
  SWaveHeaderWriteError = 'Could not write WAVE file header (Error %d)';

  SNotRIFFFile = 'Given file is not a RIFF file';
  SNotWaveFile = 'Given file is not a WAVE file';

  SMissingFmtChunk = 'Format Chunk not defined before Data Chunk';
  SFmtChunkNotFound = 'Could not find Format Chunk';
  SDataChunkNotFound = 'Could not find Data Chunk';

  SUnknownDataFormat = 'Unknown voice data format %d';

  SFileNotFound = 'File ''%s'' not found';
  SFileOpenError = 'Could not open voice file ''%s'' (Error %d)';
  SFileCreateError = 'Could not create file ''%s'' (Wrror %d)';

  SPlayingFile = 'Playing voice file ''%s''';
  SPlayingFiles = 'Playing list of %d voice files';
  SRecordingFile = 'Recording voice file ''%s''';

  SStartPlayStreamFailed = 'StartPlayStream command failed';
  SPlayStreamFailed = 'PlayStream command failed';
  SStopPlayStreamFailed = 'StopPlayStream command failed';

  SStartRecordStreamFailed = 'StartRecordStream command failed';
  SRecordStreamFailed = 'RecordStream command failed';
  SStopRecordStreamFailed = 'StopRecordStream command failed';

  SHandleEventFailed = 'Could not handle event, something failed';
  SGotEvent = 'Got event $%0.4x with data <%s>';
  SUnknownEvent = 'Unknown event $%0.4x with data <%s>';
  SFlushEvent = 'Flushed event $%0.4x with data <%s>';
  SQueuedEvent = 'Queued event $%0.4x at position %d';
  SUnqueuedEvent = 'Unqueued event $%0.4x at position %d';

