{
  Voice Modem Library v1.0

  This file contain definition of common string constants

  Copyright (C) 1998-2001 Roman M. Mochalov
  E-mail: roman@sar.nnov.ru
}

{$IFDEF VER90}

const

{$ELSE}

resourcestring

{$ENDIF}

{ Device names }

  SNoDevice = 'No device';
  SDialupLine = 'Dialup Line';
  SExternalMicrophone = 'External Microphone';
  SInternalMicrophone = 'Internal Microphone';
  SExternalSpeaker = 'External Speaker';
  SInternalSpeaker = 'Internal Speaker';
  SLocalHandset = 'Local Handset';
  SSpeakerphone = 'Speakerphone';
  SSoundCard = 'Sound Card';

  SUnknownModemAnswer = 'Unknown modem answer';

  SReadDLE = 'Read: <DLE><%s>';
  SUnknownDLECode = 'Unknown code <DLE><%s>';
  SUnexpectedByte = 'Unexpected byte %s from voice modem';
  SUnexpectedAnswer = 'Unexpected modem answer %s';

{ Error strings }

  SUnknownError = 'Error %d';

  SVMESuccess = 'Operation completed successfully';
  SVMENotImplemented = 'Method not implemented';
  SVMETimeout = 'Operation timeout';
  SVMEInterrupted = 'Operation interrupted';                      
  SVMEEventNotHandled = 'Unqueued event not handled';
  SVMEEventQueueFull = 'Event queue is full';
  SVMEEventQueueEmpty = 'No more events in event queue';
  SVMEEventLocked = 'Unqueued event is locked';
  SVMEProfileNotSpecified = 'Profile property not specified';
  SVMEPortNotSpecified = 'Port property not specified';
  SVMEDriverNotSpecified = 'Driver not specified';
  SVMEDriverIniFileError = 'Can''t load driver ini file';
  SVMEDriverNotRegistered = 'No driver class registered for specified modem name';
  SVMEModemNotSpecified = 'Modem name not specified';
  SVMEPortBusy = 'Port is already in use';
  SVMEPortError = 'Unexpected port error';
  SVMEPortNotOpened = 'Port not opened';
  SVMEModemLocked = 'Modem already locked';
  SVMEInvalidModemAnswer = 'Invalid modem answer';
  SVMEInvalidCommandFormat = 'Invalid command format';
  SVMEInvalidStrFormat = 'Invalid output string format';
  SVMECommandError = 'Command not supported or contains invalid parameters';
  SVMEIllegalCompression = 'Illegal compression method';
  SVMEIllegalSampleRate = 'Illegal sample rate';
  SVMEUnknownDevice = 'Unknown device';
  SVMEStreamReadErr = 'Stream read error';
  SVMEStreamWriteErr = 'Stream write error';
  SVMENotRMDFile = 'Given file is not a RMD file';
  SVMEWrongModemType = 'Voice data is unsupported by current modem device';
  SVMEFileNotFound = 'Given file not found';
  SVMEFileOpenerror = 'Could not open input file';
  SVMEFileCreateError = 'Could not create output file';
  SVMEOperationInProgress = 'Another voice operation in progress';
  SVMENoActiveOperation = 'No active voice operation';
  SVMEConvertLiBlocked = 'Data converting library already locked';
  SVMEDataConvertFailed = 'Data converting error';
  SVMEFFTInitFailed = 'FFT init failed';
  SVMERecognitionFailed = 'Answer recognition failed';
  SVMEIllegalWaveFormat = 'Illegal WAVE Format';
  SVMEUnsupportedWaveFormat = 'This WAVE file format is not supported';
  SVMENotRIFFFile = 'Given file is not a RIFF file';
  SVMENotWaveFile = 'Given file is not a WAVE file';
  SVMEMissingFmtChunk = 'Missing wave format chunk';
  SVMEMissingDataChunk = 'Missing wave data chunk';
  SVMEUnknownDataFormat = 'Unknown data format';


